AUDIOTOOLS-CONFIG(1)

NAME
audiotools-config - manage Python Audio Tools configuration

SYNOPSIS
audiotools-config [OPTIONS]

DESCRIPTION

audiotools-config is the Python Audio Tools configuration manager. When called without arguments, it displays the system's current configuration. By specifying various configuration arguments, it modifies the user's $(HOME)/.audiotools.cfg file with new values.

OPTIONS

-h, --help
    show a list of options and exit

-I, --interactive
    edit options interactively

-V, --verbose=VERBOSITY
    The level of output to display. Choose between 'normal', 'quiet' and 'debug'.

TRANSCODING OPTIONS

-t, --type
    When used without the -q option, this sets the default audio type to use when creating new audio files. Otherwise, this is used in conjunction with -q to set the default audio quality for the given type. For a list of available audio formats, try: -t help

-q, --quality
    The default quality level for a given audio type. For a list of available quality levels, try: -q help

--format=STRING
    The format string to use for new filenames. Template fields are replaced with metadata values when new tracks are created. All other text is left as-is.

-j, --joint
    the default maximum number of processes to execute at one time

--replay-gain=YES/NO
    whether to add ReplayGain metadata by default

ID3 OPTIONS

--id3v2-version=VERSION
    Which version to use for newly created ID3v2 tags. Choose from "id3v2.2", "id3v2.3", "id3v2.4", or "none". All three ID3v2 tag versions are roughly equivalent in terms of supported features, but "id3v2.2" and "id3v2.3" have the widest level of support. If "none" is given, new MP3 files will not be given ID3v2 tags.

--id3v2-pad=TRUE / FALSE
    Whether to pad ID3v2 numerical fields to 2 digits. For example, if "true", track number 1 will be stored as "01" in ID3v2 tags. If false, it will be stored as "1".

--id3v1-version=VERSION
    Which version to use for newly created ID3v1 tags. Choose from "id3v1.1" or "none". If "none" is given, new MP3 files will not be given ID3v1 tags.

CD LOOKUP OPTIONS

--use-musicbrainz=YES/NO
    whether to use the MusicBrainz service for CD lookups by default

--musicbrainz-server=HOSTNAME
    the default MusicBrainz server to use

--musicbrainz-port=PORT
    the default MusicBrainz port number to use

--use-freedb=YES/NO
    whether to use the FreeDB service for CD lookups by default

--freedb-server=HOSTNAME
    the default FreeDB server to use

--freedb-port=PORT
    the default FreeDB port number to use

SYSTEM OPTIONS

-c, --cdrom
    the default CD-ROM drive to use

--cdrom-read-offset
    the CD-ROM read offset, in PCM samples

--cdrom-write-offset
    the CD-ROM write offset, in PCM samples

--fs-encoding
    the encoding of filenames on the system, such as "UTF-8"

--io-encoding
    the encoding of text sent to the screen, such as "UTF-8"

BINARIES OPTIONS

--faac=PATH

--faad=PATH

--flac=PATH

--lame=PATH

--oggdec=PATH

--oggenc=PATH

--speexdec=PATH

--speexenc=PATH

--twolame=PATH

FORMAT STRING FIELDS
Template Fields
Key | Value
%(track_number)2.2d | the track's number on the CD
%(track_total)d | the total number of tracks on the CD
%(album_number)d | the CD's album number
%(album_total)d | the total number of CDs in the set
%(album_track_number)s | combination of album and track number
%(track_name)s | the track's name
%(album_name)s | the album's name
%(artist_name)s | the track's artist name
%(performer_name)s | the track's performer name
%(composer_name)s | the track's composer name
%(conductor_name)s | the track's conductor name
%(media)s | the track's source media
%(ISRC)s | the track's ISRC
%(catalog)s | the track's catalog number
%(copyright)s | the track's copyright information
%(publisher)s | the track's publisher
%(year)s | the track's publication year
%(date)s | the track's original recording date
%(suffix)s | the track's suffix
%(basename)s | the track's original name, without suffix

SEE ALSO
audiotools.cfg(5), cdda2track(1), cddainfo(1), cddaplay(1), coverdump(1), covertag(1), coverview(1), dvda2track(1), dvdainfo(1), track2cdda(1), track2track(1), trackcat(1), trackcmp(1), trackinfo(1), tracklength(1), tracklint(1), trackplay(1), trackrename(1), tracksplit(1), tracktag(1), trackverify(1)

AUTHOR
Brian Langenberger